SET(HDRS)
SET(SRCS)

add_subdirectory(config)
add_subdirectory(core)
add_subdirectory(ecs)
add_subdirectory(eventsystem)
add_subdirectory(utility)
add_subdirectory(sim)

SET(HDRS
	${HDRS}
	PARENT_SCOPE
)

SET(SRCS
	${SRCS}
	PARENT_SCOPE
)

set(LIB_INCLUDE_PATH
  ${LIB_INCLUDE_PATH}
  ${CMAKE_CURRENT_SOURCE_DIR}
  PARENT_SCOPE
)
